commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matt Benson <gudnabr...@gmail.com>
Subject Re: [VFS] Update dependencies?
Date Mon, 08 Nov 2010 16:37:17 GMT

On Nov 8, 2010, at 10:20 AM, Jörg Schaible wrote:

> sebb wrote:
> 
>> On 8 November 2010 16:05, sebb <sebbaz@gmail.com> wrote:
>>> On 8 November 2010 12:46, James Carman <james@carmanconsulting.com>
>>> wrote:
>>>> Why do we have a dependency on ant?
>>> 
>>> No idea - looks like it's not needed.
>> 
>> Actually, the tasks package uses org.apache.tools.ant (I was looking
>> for org.apache.ant)
> 
> See also: http://commons.apache.org/vfs/anttasks.html
> 

Right, and Ant, IMO, is a special case:  In Ant 1.7.x we gave higher prominence to Ant's Resource
type and refactored damned near everything to use Resources/ResourceCollections.  Because
VFS provides a compatibility layer for *older* versions of Ant, I would suggest the minimum
Ant version be left as early as possible, until, of course, the Ant compatibility APIs are
rewritten to implement Ant Resources/ResourceCollections.  Maybe that will happen in VFS 3.0;
I don't know that I would have the time to do it now.  :/

-Matt

> - Jörg
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
> For additional commands, e-mail: dev-help@commons.apache.org
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message